> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

> List agents across your account. Supports filtering by creation time.



## OpenAPI

````yaml get /v1/agents
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/agents:
    get:
      summary: List Agents
      description: List agents across your account. Supports filtering by creation time.
      operationId: Agents_list
      parameters:
        - name: startAt
          in: query
          description: >-
            Only return agents created on or after this timestamp (inclusive).
            ISO 8601 / RFC 3339, e.g. 2026-01-19T00:00:00Z.
          required: false
          schema:
            type: string
            format: date-time
        - name: endAt
          in: query
          description: >-
            Only return agents created on or before this timestamp (inclusive).
            ISO 8601 / RFC 3339, e.g. 2026-01-20T00:00:00Z.
          required: false
          schema:
            type: string
            format: date-time
        - name: limit
          in: query
          description: Maximum number of results to return.
          required: false
          schema:
            type: integer
            default: 20
            maximum: 1000
            minimum: 1
        - name: cursor
          in: query
          description: >-
            Pagination cursor. Pass the nextCursor from the previous response to
            fetch the next page. Omit to start from the first page.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: The page of matching agents.
          content:
            application/json:
              schema:
                description: A page of agents.
                type: object
                properties:
                  data:
                    description: The page of matching agents.
                    type: array
                    items:
                      $ref: '#/components/schemas/Agent'
                  limit:
                    description: The maximum number of results returned in this page.
                    type: integer
                  nextCursor:
                    description: >-
                      Cursor for the next page. Pass it back as `cursor` on the
                      next request to continue paging. null when there are no
                      more results.
                    anyOf:
                      - type: string
                    nullable: true
                required:
                  - data
                  - limit
                  - nextCursor
components:
  schemas:
    Agent:
      description: >-
        A reusable agent. Referenced by `agentId` to apply a system prompt to
        every run that uses the agent.
      type: object
      properties:
        agentId:
          description: >-
            Unique identifier for the agent. Use this value as `agentId` when
            creating an agent run.
          type: string
        name:
          description: >-
            Human-readable name for the agent. Used to identify the agent in the
            dashboard and API responses.
          type: string
        systemPrompt:
          description: System prompt applied to every run that uses this agent.
          type: string
        resultSchema:
          description: >-
            [JSON Schema](https://json-schema.org/specification) that runs
            referencing this agent will aim to conform their `result` to. Can be
            overridden per run by passing `resultSchema` on the run request.
          type: object
          additionalProperties: true
          properties: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - agentId
        - name
        - createdAt
        - updatedAt
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````